# Class ChainedLookup<K,V>

java.lang.Object
org.fressian.impl.ChainedLookup<K,V>

All Implemented Interfaces:
  `ILookup<K,V>`

public class ChainedLookup<K,V> extends Object implements ILookup<K,V>

## Field Summary

Fields
Modifier and Type
Field
Description
`final ILookup<K,V>[]`
`lookups`

## Constructor Summary

Constructors
Constructor
Description
`ChainedLookup(ILookup<K,V>... lookups)`

## Method Summary

Modifier and Type
Method
Description
`V`
`valAt(K key)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### lookups

public final ILookup<K,V>[] lookups

## Constructor Details

### ChainedLookup

public ChainedLookup(ILookup<K,V>... lookups)

## Method Details

### valAt

public V valAt(K key)

Specified by:
  `valAt` in interface `ILookup<K,V>`